Cannot Install Xcode 3.2.6 on Snow Leopard

Comments

In order to install Homebrew on my clean OS X 10.6.8 re-install, I needed Xcode 3.2.6, but I was getting errors.

The installer quit with “The Installation Failed An unknown installation error occurred.” A look at /var/log/install.log revelead the problem to be “The package “iPhoneSystemComponents.pkg” is untrusted. CSSMERR_TP_CERT_EXPIRED.

CSSMERR_TP_CERT_EXPIRED is the hint - the certificate is expired. Setting the OS X date to 2011 fixed the problem

Comments